use std::{io::{Stdout, Write}, ops::BitOrAssign, time::Duration};

use axum::response::{sse::Event, AppendHeaders};
use clap::builder::NonEmptyStringValueParser;
use lib::{client::Client, message::{Message, MessageKind}, message_read::MessageReader, player::Player};
use crossterm::{
    cursor, event::{self, poll, Event as TermEvent, KeyCode, KeyModifiers}, execute, queue, style, terminal::{
        disable_raw_mode, enable_raw_mode, Clear, ClearType, EnableLineWrap, EnterAlternateScreen
    }
};
use ratatui::{
    buffer::Buffer,
    layout::Rect,
    style::Stylize,
    symbols::border,
    text::{Line, Text},
    widgets::{Block, Paragraph, Widget},
    DefaultTerminal,
    Frame,
};

#[tokio::main]
pub async fn main() -> anyhow::Result<()> {
    let mut stdout = std::io::stdout();
    let mut terminal = ratatui::init();
    let app_result = Client::default().run(&mut terminal).await;
    ratatui::restore();
    app_result
}
