use std::sync::{Arc, Mutex};
use std::collections::HashMap;
use axum::body::Bytes;

pub type Db = Arc<Mutex<HashMap<String, Bytes>>>;

#[derive(Clone)]
pub struct AppState {
    pub lobbies: Db,
    pub players: Db,
}

impl AppState {
    pub fn new() -> Self {
        let lobbies = Arc::new(Mutex::new(HashMap::new()));
        let players = Arc::new(Mutex::new(HashMap::new()));

        Self {
            lobbies,
            players,
        }
    }
}
