use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize)]
pub struct Entity<T: Serialize>(T);

impl<T: Serialize> Entity<T> {
    pub fn encode(&self) -> anyhow::Result<String, serde_json::Error> {
        serde_json::to_string(&self)
    }
}
